%define module_version 0.03
%define module_name Net-Amazon-DynamoDB-HighlyAvailable
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Net/Amazon/DynamoDB/Table.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Sync data across multiple regions
Group: Development/Perl
License: perl
URL: https://github.com/kablamo/Net-Amazon-DynamoDB-HighlyAvailable

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KA/KABLAMO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Amazon says  "All data items ... are automatically replicated across multiple
Availability Zones in a Region to provide built-in high availability and data
durability."

If thats not highly available enough for you, you can use this module to sync
data between multiple regions.

This module is a wrapper around Net::Amazon::DynamoDB::Table.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/N*

%changelog
* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Mon Nov 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

